<?php
/**
* @version		3.0.0
* @package		JomLand TicketCenter
* @copyright	Copyright (C) 2010 JomLand.com. All rights reserved.
* @link 		www.jomland.com
* @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/ 
// no direct access
defined('_JEXEC') or die('Restricted access');
?>
<?php if ($this->menuparams->get('show_page_title', 1)): ?>
<div class="componentheading<?php echo $this->escape($this->menuparams->get('pageclass_sfx')); ?>">
<h2><?php echo $this->escape($this->menuparams->get('page_title')); ?></h2>
</div>
<?php endif; ?>

<div class="contentpane<?php echo $this->escape($this->menuparams->get('pageclass_sfx')); ?>">
<h3><?php echo $this->city->city_name?></h3>
<?php
	 if ($this->params->get('display_state')>0 && $this->city->state_id){
		$state  = JLTicketCenterLinksHelper::StateLink($this->params->get('display_state'),$this->city->state_id,$this->city->state_name,$this->itemid);
	 	
		if ($this->params->get('display_country')>0){
			$state .=', ';	
		}
	}
	
	if ($this->params->get('display_country')>0 && $this->city->country_id){
		$country = JLTicketCenterLinksHelper::CountryLink($this->params->get('display_country'),$this->city->country_id,$this->city->country,$this->itemid);
	} 
 	
	if (isset($state)){
 		echo $state ;
 	}
 	if (isset($country)){
  		echo $country;
 	}
?>
<br /><br />

<?php
if ($this->events){
	if (!empty($this->calender)){
		echo $this->calender;
	}
	echo $this->loadTemplate('events_list');
}else{ ?>
	<strong><br />
	<?php 	echo JText::_('JLTC_NO_EVENTS'); ?>
<br /><br />
</strong>
<?php  }?>

</div>